#!/bin/bash

# Sentence segmentation of all DCEP corpus documents.  
# 
# For each language, the documents with markup removed are retrived
# and unpacked. The individual documents are converted to a single
# file which is sentence segmented. The original file structure is
# restored and the documents are archieved and compressed.

for LA in BG CS DA DE EL EN ES ET FI FR GA HU IT LT LV MT NL PL PT RO SK SL SV TR
do
    echo `date`: Processing $LA
    LOWER=`echo $LA | tr '[:upper:]' '[:lower:]'`
    wget --quiet http://optima.jrc.it/Resources/DCEP-2013/strip/DCEP-strip-$LA-pub.tar.bz2
    rm -Rf DCEP
    tar xjf DCEP-strip-$LA-pub.tar.bz2
    perl tree2dump.pl | perl split-sentences-DCEP.pl -l $LOWER > dump
    rm -Rf DCEP
    perl dump2tree.pl < dump
    rm -f dump
    rename DCEP/strip DCEP/sentence DCEP/strip
    tar cjf DCEP-sentence-$LA-pub.tar.bz2 DCEP
    echo `date`: Finished $LA
done