#!/usr/bin/perl -w

# Extract tree structure from a dump 

use warnings;
use strict;
use File::Path qw(make_path);
use File::Spec;

while (1) {
    my $line = <>;
    # Document start
    die "Bad format: $line" if ( $line !~ m,^<DOCUMENT-START-MARKER>, );

    # Filename in one line in header
    my $filename = <>;
    chomp($filename);
    die "Bad format: $line" if ( <> !~ m,^<DOCUMENT-FOOTER-END-MARKER>, );
    #print 'File: ', $filename, "\n";

    # Create path if it doesn't exist
    my( $volume, $directories, $file) = File::Spec->splitpath($filename);
    make_path($directories);

    # Text 
    die "File already exists: $filename" if (-e $filename);
    open(F, '>', $filename) or die "Cannot create file: $!";
    while (($line = <>) !~ m,^<DOCUMENT-END-MARKER>,) {
        die "Unexpected end of file" if eof;
        print F $line;
    }
    close(F);

    last if eof;
}

__END__

