#!/usr/bin/perl -w

# Collect documents in a directory to a single file with structure information

use warnings;
use strict;
use File::Find;

find({ wanted => sub {
    if (-f and /\.txt$/) {
        open(TEXT, '<', $File::Find::name) or die "Couldn't open file: $!";
        print "<DOCUMENT-START-MARKER>\n", $File::Find::name, "\n<DOCUMENT-FOOTER-END-MARKER>\n";
        my $text = do { local $/; <TEXT> };
        chomp($text);        
        print $text;
        print "\n<DOCUMENT-END-MARKER>\n";
    }},
    no_chdir => 1},
     'DCEP');      

__END__

